What are the application’s requirements, so it runs under the best conditions?

There are no true requirements because there is nothing to download or install. Wisembly is a Web application that works with a browser. The more recent your browser, the better the solution will work.

However, for Internet Explorer users, here are the versions to use :

- For an administrator on Wisembly : you need Internet Explorer 11 or a more advanced version to enjoy a decent user experience.

- For simple participants on Wisembly : the participant use less features than the administrator and therefore can benefit from Wisembly with Internet Explorer 8 and newer versions.

We strongly advise you to use the two latest versions of Chrome, Firefox or Safari.